<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
    <menuitem id="menu_pemetaan_struktural" name="Pemetaan Struktural" sequence="9" groups="group_struktural_admin,group_kepala_instansi"/>

	<menuitem id="menu_konfigurasi_pemetaan_struktural" name="Konfigurasi"
              parent="menu_pemetaan_struktural" sequence="10" groups="group_struktural_admin" />
	
	<!-- ========================================= Pangkat =============================================== -->
        <record id="view_konfigurasi_struktural_pangkat_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.pangkat.tree</field>
            <field name="model">konfigurasi.struktural.pangkat</field>
            <field name="arch" type="xml">
                <tree string="Pangkat">
                    <field name="eselon_id"/>
                    <field name="golongan_id"/>
                    <field name="value"/>

                </tree>
            </field>
        </record>

 		 <record id="view_konfigurasi_struktural_pangkat_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.pangkat.form</field>
            <field name="model">konfigurasi.struktural.pangkat</field>
            <field name="arch" type="xml">
                <form string="Pangkat" version="7.0">
                    <group col="2">
                        <field name="eselon_id"/>
                        <field name="golongan_id"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

		<record model="ir.actions.act_window" id="action_konfigurasi_struktural_pangkat">
            <field name="name">Pangkat</field>
            <field name="res_model">konfigurasi.struktural.pangkat</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

		 <menuitem id="menu_konfigurasi_struktural_pangkat"  name="Pangkat"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="1"
                  action="action_konfigurasi_struktural_pangkat"  />
    <!-- ========================================= usia =============================================== -->
        <record id="view_konfigurasi_struktural_usia_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.usia.tree</field>
            <field name="model">konfigurasi.struktural.usia</field>
            <field name="arch" type="xml">
                <tree string="Usia">
                    <field name="eselon_id"/>
                    <field name="usia_min"/>
                    <field name="usia_max"/>
                    <field name="value"/>

                </tree>
            </field>
        </record>

 		 <record id="view_konfigurasi_struktural_usia_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.usia.form</field>
            <field name="model">konfigurasi.struktural.usia</field>
            <field name="arch" type="xml">
                <form string="Usia" version="7.0">
                    <group col="2">
                        <field name="eselon_id"/>
                        <field name="usia_min"/>
                        <field name="usia_max"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

		<record model="ir.actions.act_window" id="action_konfigurasi_struktural_usia">
            <field name="name">Usia</field>
            <field name="res_model">konfigurasi.struktural.usia</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

		 <menuitem id="menu_konfigurasi_struktural_usia"  name="Usia"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="2"
                  action="action_konfigurasi_struktural_usia"  />
		
    <!-- ========================================= Masa Kerja =============================================== -->
         <record id="view_konfigurasi_struktural_masa_kerja_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.masa.kerja.tree</field>
            <field name="model">konfigurasi.struktural.masa.kerja</field>
            <field name="arch" type="xml">
                <tree string="Masa Kerja">
                    <field name="eselon_id"/>
                    <field name="masa_kerja_min"/>
                    <field name="masa_kerja_max"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

 		 <record id="view_konfigurasi_struktural_masa_kerja_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.masa.kerja.form</field>
            <field name="model">konfigurasi.struktural.masa.kerja</field>
            <field name="arch" type="xml">
                <form string="Masa Kerja" version="7.0">
                    <group col="2">
                        <field name="eselon_id"/>
                        <field name="masa_kerja_min"/>
                        <field name="masa_kerja_max"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

		 <record model="ir.actions.act_window" id="action_konfigurasi_struktural_masa_kerja">
            <field name="name">Masa Kerja</field>
            <field name="res_model">konfigurasi.struktural.masa.kerja</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

		 <menuitem id="menu_konfigurasi_struktural_masa_kerja"  name="Masa Kerja"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="3"
                  action="action_konfigurasi_struktural_masa_kerja"  />
        <!-- ========================================= Tingkat Jabatan =============================================== -->
         <record id="view_konfigurasi_struktural_tingkat_jabatan_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.tingkat.jabatan.tree</field>
            <field name="model">konfigurasi.struktural.tingkat.jabatan</field>
            <field name="arch" type="xml">
                <tree string="Tingkat Jabatan">
                    <field name="eselon_id"/>
                    <field name="masa_kerja_min"/>
                    <field name="masa_kerja_max"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_tingkat_jabatan_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.tingkat.jabatan.form</field>
            <field name="model">konfigurasi.struktural.tingkat.jabatan</field>
            <field name="arch" type="xml">
                <form string="Tingkat Jabatan" version="7.0">
                    <group col="2">
                         <field name="eselon_id"/>
                        <field name="eselon_ids" widget="many2many_checkboxes"/>
                        <field name="masa_kerja_min"/>
                        <field name="masa_kerja_max"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_tingkat_jabatan">
            <field name="name">Tingkat Jabatan</field>
            <field name="res_model">konfigurasi.struktural.tingkat.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_tingkat_jabatan"  name="Tingkat Jabatan"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="4"
                  action="action_konfigurasi_struktural_tingkat_jabatan"  />

        <!-- ========================================= SKP 2 Tahun =============================================== -->
         <record id="view_konfigurasi_struktural_skp_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.skp.tree</field>
            <field name="model">konfigurasi.struktural.skp</field>
            <field name="arch" type="xml">
                <tree string="SKP">
                    <field name="nilai_skp_min"/>
                    <field name="nilai_skp_max"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_skp_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.skp.form</field>
            <field name="model">konfigurasi.struktural.skp</field>
            <field name="arch" type="xml">
                <form string="SKP" version="7.0">
                    <group col="2">
                         <field name="nilai_skp_min"/>
                        <field name="nilai_skp_max"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_skp">
            <field name="name">SKP</field>
            <field name="res_model">konfigurasi.struktural.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_skp"  name="SKP"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="5"
                  action="action_konfigurasi_struktural_skp"  />

        <!-- ========================================= penghargaan 2 Tahun =============================================== -->
         <record id="view_konfigurasi_struktural_penghargaan_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.penghargaan.tree</field>
            <field name="model">konfigurasi.struktural.penghargaan</field>
            <field name="arch" type="xml">
                <tree string="Penghargaan">
                    <field name="penghargaan_type_id"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_penghargaan_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.penghargaan.form</field>
            <field name="model">konfigurasi.struktural.penghargaan</field>
            <field name="arch" type="xml">
                <form string="Penghargaan" version="7.0">
                    <group col="2">
                         <field name="penghargaan_type_id"/>
                        <field name="value"/>
                        <field name="accumulate"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_penghargaan">
            <field name="name">Penghargaan</field>
            <field name="res_model">konfigurasi.struktural.penghargaan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_penghargaan"  name="Penghargaan"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="6"
                  action="action_konfigurasi_struktural_penghargaan"  />
        <!-- ========================================= kedisiplinan =============================================== -->
         <record id="view_konfigurasi_struktural_kedisiplinan_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.kedisiplinan.tree</field>
            <field name="model">konfigurasi.struktural.kedisiplinan</field>
            <field name="arch" type="xml">
                <tree string="Kedisiplinan">
                    <field name="jenis_kedisiplinan"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_kedisiplinan_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.kedisiplinan.form</field>
            <field name="model">konfigurasi.struktural.kedisiplinan</field>
            <field name="arch" type="xml">
                <form string="Kedisiplinan" version="7.0">
                    <group col="2">
                        <field name="jenis_kedisiplinan"/>
                    <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_kedisiplinan">
            <field name="name">Kedisiplinan</field>
            <field name="res_model">konfigurasi.struktural.kedisiplinan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_kedisiplinan"  name="Kedisiplinan"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="7"
                  action="action_konfigurasi_struktural_kedisiplinan"  />
        <!-- ========================================= Pendidikan =============================================== -->
         <record id="view_konfigurasi_struktural_pendidikan_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.pendidikan.tree</field>
            <field name="model">konfigurasi.struktural.pendidikan</field>
            <field name="arch" type="xml">
                <tree string="Pendidikan">
                    <field name="name"/>
                    <field name="value" />
                    <field name="jenjang_pendidikan_ids"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_pendidikan_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.pendidikan.form</field>
            <field name="model">konfigurasi.struktural.pendidikan</field>
            <field name="arch" type="xml">
                <form string="Pendidikan" version="7.0">
                    <group col="2">
                        <field name="name"/>
                        <field name="value" />
                        <field name="description"/>
                        <field name="jenjang_pendidikan_ids" string="Jenjang Pendidikan"  context="{'default_parent_id': active_id,}" >
							<tree string="Jenjang Pendidikan" editable="bottom" >
								<field name="parent_id" invisible="True" />
								<field name="jenjang_pendidikan_id"  widget="selection"/>
                                 <field name="min" />
                                <field name="max" />
			                </tree>
			            </field>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_pendidikan">
            <field name="name">Pendidikan</field>
            <field name="res_model">konfigurasi.struktural.pendidikan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_pendidikan"  name="Pendidikan"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="8"
                  action="action_konfigurasi_struktural_pendidikan"  />

        <!-- ========================================= diklatpim =============================================== -->
         <record id="view_konfigurasi_struktural_diklatpim_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.diklatpim.tree</field>
            <field name="model">konfigurasi.struktural.diklatpim</field>
            <field name="arch" type="xml">
                <tree string="Diklat Pimpinan">
                    <field name="eselon_id"/>
                    <field name="diklatpim_id"/>
                    <field name="jumlah_diklatpim_min"/>
                    <field name="jumlah_diklatpim_max"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_diklatpim_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.diklatpim.form</field>
            <field name="model">konfigurasi.struktural.diklatpim</field>
            <field name="arch" type="xml">
                <form string="Diklat Pimpinan" version="7.0">
                    <group col="2">
                        <field name="eselon_id"/>
                        <field name="diklatpim_id"/>
                        <field name="jumlah_diklatpim_min"/>
                        <field name="jumlah_diklatpim_max"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_diklatpim">
            <field name="name">Diklat Pimpinan</field>
            <field name="res_model">konfigurasi.struktural.diklatpim</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_diklatpim"  name="Diklat Pimpinan"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="9"
                  action="action_konfigurasi_struktural_diklatpim"  />
        <!-- ========================================= Seminar =============================================== -->
         <record id="view_konfigurasi_struktural_seminar_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.seminar.tree</field>
            <field name="model">konfigurasi.struktural.seminar</field>
            <field name="arch" type="xml">
                <tree string="Seminar">
                    <field name="eselon_id"/>
                    <field name="jumlah_seminar_min"/>
                    <field name="jumlah_seminar_max"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_seminar_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.seminar.form</field>
            <field name="model">konfigurasi.struktural.seminar</field>
            <field name="arch" type="xml">
                <form string="Seminar" version="7.0">
                    <group col="2">
                        <field name="eselon_id"/>
                        <field name="jumlah_seminar_min"/>
                        <field name="jumlah_seminar_max"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_seminar">
            <field name="name">Seminar</field>
            <field name="res_model">konfigurasi.struktural.seminar</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_seminar"  name="Seminar"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="10"
                  action="action_konfigurasi_struktural_seminar"  />

        <!-- ========================================= Pengalaman Berkarya =============================================== -->
         <record id="view_konfigurasi_struktural_pengalaman_berkarya_tree" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.pengalaman.berkarya.tree</field>
            <field name="model">konfigurasi.struktural.pengalaman.berkarya</field>
            <field name="arch" type="xml">
                <tree string="Pengalaman Berkarya">
                    <field name="pengalaman_type_id"/>
                    <field name="kegiatan_type_id"/>
                    <field name="jumlah_min"/>
                    <field name="jumlah_max"/>
                    <field name="value"/>
                </tree>
            </field>
        </record>

         <record id="view_konfigurasi_struktural_pengalaman_berkarya_form" model="ir.ui.view">
            <field name="name">konfigurasi.struktural.pengalaman.berkarya.form</field>
            <field name="model">konfigurasi.struktural.pengalaman.berkarya</field>
            <field name="arch" type="xml">
                <form string="Pengalaman Berkarya" version="7.0">
                    <group col="2">
                         <field name="pengalaman_type_id"/>
                        <field name="kegiatan_type_id"/>
                        <field name="jumlah_min"/>
                        <field name="jumlah_max"/>
                        <field name="value"/>
                        <field name="description"/>
                    </group>
                </form>
            </field>
        </record>

         <record model="ir.actions.act_window" id="action_konfigurasi_struktural_pengalaman_berkarya">
            <field name="name">Pengalaman Berkarya</field>
            <field name="res_model">konfigurasi.struktural.pengalaman.berkarya</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
         </record>

         <menuitem id="menu_konfigurasi_struktural_pengalaman_berkarya"  name="Pengalaman Berkarya"
                  parent="menu_konfigurasi_pemetaan_struktural" sequence="11"
                  action="action_konfigurasi_struktural_pengalaman_berkarya"  />

		
	</data>
</openerp>
